26.1 - Template classes:
    Definitions:

26.2 - Template non-type parameters:
    Definitions:

26.3 - Function template specialization:
    Definitions:

26.4 - Class template specialization:
    Definitions:

26.5 - Partial template specialization:
    Definitions:

26.6 - Partial template specialization for pointers:
    Definitions:

26.x - hapter 26 summary and quiz:
    Definitions:
